> For the complete documentation index, see [llms.txt](https://docs.hyperswitch.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyperswitch.io/integration-guide/payment-experience/pay-then-vault/over-the-air-ota-updates/android.md).

# Android

Juspay Hyperswitch provides over-the-air (OTA) updates for Android apps, enabling you to push updates without app store releases.

#### Configuration

1. When initializing `HyperOTAReact`, ensure the **release config URL** (ending in `config.json`) is set for the correct **environment** (Sandbox or Production) and **version**. This is where HyperOTA will check for updates during app startup.

Example:

```kotlin
HyperOTAReact(
    context.applicationContext,
    "hyperswitch", // appId
    "hyperswitch.bundle", // bundle name
    BuildConfig.VERSION_NAME, // app version
    hyperOTAUrl, // release config URL
    headers,
    object : LazyDownloadCallback {
        override fun fileInstalled(filePath: String, success: Boolean) {}
        override fun lazySplitsInstalled(success: Boolean) {}
    },
    tracker
).also { hyperOTAServices = it }
```

{% hint style="info" %}
Replace `hyperOTAUrl` with your environment-specific endpoint.

`Example: $baseURL/mobile-ota/android/${BuildConfig.VERSION_NAME}/config.json`
{% endhint %}

2. In your `MainApplication` class, ensure `getJSBundleFile()` uses the bundle path from HyperOTA and falls back to the default asset if necessary

```kotlin
override fun getJSBundleFile(): String {
    return try {
        return hyperOTAServices?.getBundlePath() ?: "assets://hyperswitch.bundle"
    } catch (e: Exception) {
         return "assets://hyperswitch.bundle"
    }
}
```

For more information, see [Airborne](https://github.com/juspay/airborne).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyperswitch.io/integration-guide/payment-experience/pay-then-vault/over-the-air-ota-updates/android.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
